maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jörg Schaible <Joerg.Schai...@Elsag-Solutions.com>
Subject RE: [m2] How to: restrict allowed dependency versions
Date Wed, 23 Nov 2005 08:29:35 GMT
Michael Böckling wrote on Tuesday, November 22, 2005 5:48 PM:

> Hi people,
> 
> I'd like to know if there is a way to impose restrictions on the
> versions of the referenced dependencies.
> In big companies, you often have a specific set of third
> party library
> versions that are "approved" for usage in company projects, and other
> versions are not allowed. More often than not, there are several such
> "version-sets", because there is a strict
> lifecycle-management in place.
> Does anybody have an idea as to how this could be accomplished with
> Maven 2? Separate repositories for each version-set come to
> my mind, but
> that seems rather cumbersome to me.

http://docs.codehaus.org/display/MAVEN/Dependency+Mediation+and+Conflict+Resolution

Personally I used a version range in an extension definition, but never for a dependency itself.
Try it (and report back).

- Jörg

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message